For the complete documentation index, see llms.txt. This page is also available as Markdown.

Documenttemplate

Get DocumentTemplate by id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
descriptionstring · nullableOptional
documentTypestring · enumOptionalPossible values:
get/DocumentTemplate/{id}
GET /DocumentTemplate/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "description": "text",
  "documentType": "Invoice"
}

Get DocumentTemplate

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Apply a separate filter to only get records that has been modified Before the specified date time.

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/DocumentTemplate
GET /DocumentTemplate HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text",
      "documentType": "Invoice"
    }
  ]
}

Last updated